#
# spec file for package openstack-resource-agents
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define tarball %{name}-%{version}.tar.bz2
%define tar_subdir %{name}-%{version}

%define version_unconverted 1.0+git.1516191426.42bb0c5

Name:           openstack-resource-agents
Version:        1.0+git.1516191426.42bb0c5
Release:        1.1
Summary:        Pacemaker OCF Resource Agents for OpenStack services
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/openstack-resource-agents
#Requires:       resource-agents
Source0:        %{tarball}
# Probably SUSE-specific
Patch50:        nova-compute-init-like.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OCF RAs (Resource Agents) to allow Pacemaker to control OpenStack
services.

%prep
%setup -q -n %{tar_subdir}
%patch50 -p1

%build

%install
make install DESTDIR="%buildroot"

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
%dir /usr/lib/ocf/resource.d/openstack
/usr/lib/ocf/resource.d/openstack/*

%changelog
* Thu Jan 18 2018 cloud-devel@suse.de
- Update to version 1.0+git.1516191426.42bb0c5:
  * NovaEvacuate: fix a syntax error
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version 1.0+git.1516116756.1102662:
  * NovaEvacuate: Support the new split-out IHA fence agents with backwards compatibility
  * NovaEvacuate: Correctly handle stopped hypervisors
  * neutron-ha-tool: do not replicate dhcp
  * NovaEvacuate: Allow debug logging to be turned on easily
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version 1.0+git.1485796352.fe84d75:
  * NovaCompute: Use variable to avoid calling crudini a second time
  * NovaCompute: Support parsing host option from /etc/nova/nova.conf.d
* Sun Nov 27 2016 cloud-devel@suse.de
- Update to version 1.0+git.1479809257.5b5c080:
  + Ensure nova-compute unfences itself after starting
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version 1.0+git.1473437442.597077e:
  + Extract the nova wait functionality into its own agent
* Wed Jun 29 2016 cloud-devel@suse.de
- Update to version 1.0+git.1467079370.4f2c49d:
  + NovaEvacuate should use the existing status operation
* Tue May 24 2016 cloud-devel@suse.de
- Update to version 1.0+git.1462794381.3d724a2:
  + Relicense to Apache-2.0
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version 1.0+git.1459538831.fff75c5:
  + neutron-ha-tool: fix monitor return code
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version 1.0+git.1459538533.51748eb:
  + neutron-ha-tool: make start action retry
* Fri Apr  1 2016 dmueller@suse.com
- fix url
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version 1.0+git.1459201471.75dcff3:
  + Clarify risks of not using shared storage
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version 1.0+git.1458673617.734f5f4:
  + Fix neutron-ha-tool for active/passive usage
* Fri Mar 18 2016 cloud-devel@suse.de
- Rebased patches:
  + 0001-Don-t-require-the-os_password-parameter.patch dropped (merged upstream)
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version 1.0+git.1458244263.8ea5709:
  + Update neutron-ha-tool's description to reference new upstream
  + os_password is no longer a mandatory option
  + Update support email address to "new" OpenStack list
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version 1.0+git.1458062101.35282eb:
  + NovaEvacuate: fix comment in header
* Fri Mar 11 2016 cloud-devel@suse.de
- Rebased patches:
  + pr21-neutron-ha-tool-fix.patch dropped (merged upstream)
* Fri Mar 11 2016 cloud-devel@suse.de
- Update to version 1.0+git.1457629782.04051d7:
  + neutron-ha-tool: fix 'defaut' typo
  + neutron-ha-tool: add os_region_name parameter
* Tue Mar  8 2016 cloud-devel@suse.de
- Update to version 1.0+git.1457376190.a0b55d3:
  + Add bashate version >=0.5.0 as test dependency
* Sun Mar  6 2016 cloud-devel@suse.de
- Update to version 1.0+git.1457182198.fa93525:
  + Temporary ignore bashate E006 errors
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version 1.0+git.1456944307.98a54ad:
  + Fix bashate E006 violations
* Wed Mar  2 2016 vuntz@suse.com
- Update to version 1.0+git.1456582419.b64bdae:
  + Fix bashate E001 violations
  + Fix bashate E002 violations
  + Fix bashate E003 violations
  + Fix bashate E010 violation
  + Add .tox/ directory to .gitignore
- Add nova-compute-init-like.patch: fix NovaCompute to work on
  SLES.
* Fri Feb 26 2016 cloud-devel@suse.de
- Update to version 1.0+git.1456323540.6ad8eb0:
  + Use crudini instead of openstack-config
  + Change param "plugin config" of Neutron Server
  + NovaEvacuate: Fix typo when fetching all evacuate attributes
  + NovaEvacuate: Add domain parameter
  + NovaEvacuate: Do not use reboot action for fence_compute
  + NovaCompute: Fix loop on start checking for evacuate attribute
  + NovaCompute: Call "fence_compute -o on" after evacuation
  + NovaCompute, NovaEvacuate: Add missing content in username description
  + Remove trailing whitespaces
  + NovaEvacuate: Avoid initial useless message on stderr
  + Remove Keystone dependency from neutron-server RA
  + Add insecure and region_name parameters to NovaCompute and NovaEvacuate
  + NovaCompute: Clarify comment when there's no evacuate attribute
  + Add tox.ini configuration to run bashate tests
  + Move syntax-check test to tox.ini
* Thu Jan  7 2016 vuntz@suse.com
- Fix _service file to point to OpenStack git repo.
- Update to version 1.0+git.1449754076.1f11a53:
  + Add Linux-HA resource agent for Manila
  + Add a script to run checkbashisms on codebase
  + move manila-api to ocf/ subdirectory
  + Import Nova{Compute,Evacuate} from osp-ha-deploy
  + fix 'evacute' typo
  + Remove executable permissions from Nova{Compute,Evacuate}
  + gracefully handle deleted attributes
  + use attrd_updater -U (-v is a legacy option)
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version 1.0+git.1445423194.66619fd:
  + Make README redirect to new launchpad project (#22)
* Thu Jun 11 2015 nkrinner@suse.com
- Make os-password in the neutron-ha-tool resource optional
  (0001-Don-t-require-the-os_password-parameter.patch)
* Mon Jun  1 2015 nkrinner@suse.com
- Fix typo in the openstack-neutron resourece agent and add the
  os_region_name parameter.
  See also https://github.com/madkiss/openstack-resource-agents/pull/21
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version 1.0+git.1417010594.e813e10:
  + New resouce agent for the neutron-ha-tool
* Fri Nov 28 2014 rhafer@suse.com
- Remove 0001-New-resouce-agent-for-the-neutron-ha-tool.patch. Got
  upstreamed.
* Tue Oct  7 2014 cloud-devel@suse.de
- Update to version 1.0+git.1412597128.0263ab7:
  + Fix for parameter name 'plugin_config'
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version 1.0+git.1406149987.a8e7cde:
  + Update neutron-agent-dhcp
  + Fix the port of amqp check
* Fri Jun 20 2014 rhafer@suse.com
- Added 0001-New-resouce-agent-for-the-neutron-ha-tool.patch to
  get back missing ha-tool resource-agent (bnc#883499)
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version 1.0+git.1392632006.9b9b934:
  + heat-engine: fix AMQP check
  + heat-engine: disable the check on database connection
* Wed Jan  8 2014 aspiers@suse.com
- Initial package version
